import { NormalizedProjectAnnotations, ProjectAnnotations, ComposedStoryFn } from 'storybook/internal/types';
import { Renderer as Renderer$1 } from 'storybook/internal/csf';

declare global {
    var globalProjectAnnotations: NormalizedProjectAnnotations<any>;
    var defaultProjectAnnotations: ProjectAnnotations<any>;
}
type WrappedStoryRef$1 = {
    __pw_type: 'jsx' | 'importRef';
};
type UnwrappedJSXStoryRef$1 = {
    __pw_type: 'jsx';
    type: UnwrappedImportStoryRef$1;
};
type UnwrappedImportStoryRef$1 = ComposedStoryFn;
declare global {
    function __pwUnwrapObject(storyRef: WrappedStoryRef$1): Promise<UnwrappedJSXStoryRef$1 | UnwrappedImportStoryRef$1>;
}

declare global {
	interface SymbolConstructor {
		readonly observable: symbol;
	}
}

declare global {
	interface SymbolConstructor {
		readonly observable: symbol;
	}
}

interface Renderer extends Renderer$1 {
}

declare global {
    var globalProjectAnnotations: NormalizedProjectAnnotations<any>;
    var defaultProjectAnnotations: ProjectAnnotations<any>;
}
type WrappedStoryRef = {
    __pw_type: 'jsx' | 'importRef';
};
type UnwrappedJSXStoryRef = {
    __pw_type: 'jsx';
    type: UnwrappedImportStoryRef;
};
type UnwrappedImportStoryRef = ComposedStoryFn;
declare global {
    function __pwUnwrapObject(storyRef: WrappedStoryRef): Promise<UnwrappedJSXStoryRef | UnwrappedImportStoryRef>;
}

declare const traverseArgs: (value: unknown, depth?: number, key?: string) => unknown;
declare const _default: () => ProjectAnnotations<Renderer>;

export { _default as default, traverseArgs };
